summaryrefslogtreecommitdiff
path: root/pre-receive
diff options
context:
space:
mode:
authorCharlie <root@dev.ws.local>2009-10-28 12:38:08 -0600
committerCharlie <root@dev.ws.local>2009-10-28 12:38:08 -0600
commit4a46bf92e6306458ed0cfc375c71618c648ac85a (patch)
treeddc1ea744dc63eb1139c919dbf10010d7ac7d62b /pre-receive
Initial commit
Diffstat (limited to 'pre-receive')
-rwxr-xr-xpre-receive16
1 files changed, 16 insertions, 0 deletions
diff --git a/pre-receive b/pre-receive
new file mode 100755
index 0000000..4232983
--- /dev/null
+++ b/pre-receive
@@ -0,0 +1,16 @@
+#!/bin/sh -eu
+set -eu
+
+user=`id -un`
+
+# Check if user is allowed
+match=`test -f git-receive-allow && grep -Fx "$user" git-receive-allow || true`
+echo $match > /tmp/match.log
+if [ -z "$match" ]; then
+ cat <<EOF >&2
+---
+You're not allowed to push to this repository as $user.
+---
+EOF
+ exit 1
+fi